Liblinphone: linphone::ParticipantImdnState Class Reference

Liblinphone 5.2.0

Public Member Functions | List of all members
linphone::ParticipantImdnState Class Reference

This object represents the delivery/display state of a given chat message for a given participant. More...

`#include <participant_imdn_state.hh>`

Inheritance diagram for linphone::ParticipantImdnState:

## Public Member Functions
LINPHONECXX_PUBLIC | ParticipantImdnState (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneParticipantImdnState * | cPtr ()
LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Participant > | getParticipant () const
| Get the participant concerned by a LinphoneParticipantImdnState.
LINPHONECXX_PUBLIC linphone::ChatMessage::State | getState () const
| Get the chat message state the participant is in.
LINPHONECXX_PUBLIC time_t | getStateChangeTime () const
| Get the timestamp at which a participant has reached the state described by a LinphoneParticipantImdnState.

## Detailed Description

This object represents the delivery/display state of a given chat message for a given participant.

It also contains a timestamp at which this participant state has changed. Use ChatMessage::getParticipantsByImdnState() to get all ParticipantImdnState for a given state. From there use getParticipant() to get the Participant object if you need it.

## Member Function Documentation

## ◆ getParticipant()

LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Participant > linphone::ParticipantImdnState::getParticipant | ( |  | ) | const

Get the participant concerned by a LinphoneParticipantImdnState.

Returns
  The Participant concerned by the LinphoneParticipantImdnState

## ◆ getState()

LINPHONECXX_PUBLIC linphone::ChatMessage::State linphone::ParticipantImdnState::getState | ( |  | ) | const

Get the chat message state the participant is in.

Returns
  The ChatMessage::State the participant is in

## ◆ getStateChangeTime()

LINPHONECXX_PUBLIC time_t linphone::ParticipantImdnState::getStateChangeTime | ( |  | ) | const

Get the timestamp at which a participant has reached the state described by a LinphoneParticipantImdnState.

Returns
  The timestamp at which the participant has reached the state described in the LinphoneParticipantImdnState

The documentation for this class was generated from the following file:

- participant_imdn_state.hh